import Configuration from "./Configuration.js";
import ConfigurationHTML from "./ConfigurationHTML.js";
import Event from "./Event.js";
import Information from "./Information.js";
import MenuHTML from "./MenuHTML.js";

export default class Menu {

    static LIST_SELECTOR = '#main-content';

    static OTHER_LOCATIONS_SELECTORS = `#side-content, 
        .home-boxes-container.new-home`;

    constructor() {
        if (this._shouldNotLoad()) return;

        this._createMenu();
        this._initEvents();
    }

    _createMenu() {
        const listNode = document.querySelector(Menu.LIST_SELECTOR);
        if (listNode) {
            listNode.innerHTML = MenuHTML.create() + listNode.innerHTML;
        } else {
            this._createSimpleMenu();
        }

    }

    _createSimpleMenu() {
        const locationNode = document.querySelector(Menu.OTHER_LOCATIONS_SELECTORS);
        if (locationNode) {
            locationNode.innerHTML = MenuHTML.createSimple() + locationNode.innerHTML;
        }
    }

    _initEvents() {
        Event.click(MenuHTML.RELOAD_INFORMATION_SELECTOR, () => {
            Information.create();
        })

        Event.click(ConfigurationHTML.OPEN_CONFIG_SELECTOR, () => {
            Configuration.toggle();
        });
    }

    _shouldNotLoad() {
        return window.location.href.includes('mapa-google');
    }

}